Bug 137294 - [PATCH]shells/bash: update to 4.0.28
[PATCH]shells/bash: update to 4.0.28
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: obrien
Depends on:
  Show dependency treegraph
Reported: 2009-07-31 10:00 UTC by bf1783
Modified: 2009-09-19 23:35 UTC (History)
0 users

See Also:

file.diff (1.41 KB, patch)
2009-07-31 10:00 UTC, bf1783
no flags Details | Diff
bash_4033_diff.txt (2.30 KB, text/plain; charset=US-ASCII)
2009-09-18 01:27 UTC, bf1783
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bf1783 2009-07-31 10:00:07 UTC
Relevant changes:

When using the ** globbing operator, bash will incorrectly add an extra
directory name when the preceding directory name ends with `*' or an empty
string when there is no preceding directory name.

bash40-024 introduced a regression for constructs like **/*.cs; that
expansion would no longer include matching files in the current directory.
This patch undoes portions of bash40-024 and fixes the original problem
in a different way.

There are occasional cursor positioning errors when using readline's
horizontal scroll mode.

bash-4.0 reverted to the historical shell behavior of raising an error
when $@ or $* was expanded after `set -u' had been executed and there
were no positional parameters.  The Posix working group has since
clarified the standard's position on the issue, and $@ and $* are now the
only variables, parameters, or special parameters that do not raise an
error when unset if set -u is enabled.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-07-31 10:00:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 bf1783 2009-09-18 01:27:59 UTC
Five more patches are now available:  please consider the attached
patch instead (gmail may encode it in base64).

Comment 3 dfilter freebsd_committer 2009-09-19 23:24:41 UTC
miwi        2009-09-19 22:24:28 UTC

  FreeBSD ports repository

  Modified files:
    shells/bash          Makefile distinfo 
  - Update to 4.0.33
  PR:             137294
  Submitted by:   bf <bf1783@gmail.com>
  Approved by:    obrien (maintainer timeout)
  Feature safe:   yes
  Revision  Changes    Path
  1.115     +1 -1      ports/shells/bash/Makefile
  1.44      +27 -0     ports/shells/bash/distinfo
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2009-09-19 23:35:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!